//==========================================================================
// File: dominic.h
// Description: An implementation of dominic routing
// Author: Pat Morin
// Created: Wed Jan 20 20:13:58 EST 1999
//==========================================================================
#ifndef __DOMINIC_H
#define __DOMINIC_H

#include <LEDA/graph.h>
#include <LEDA/point.h>
#include <LEDA/node_matrix.h>

//==========================================================================
// Find the dominic routing path between all pairs of vertices in G.
// Complexity: O(n^2)
//========================================================================
void ALL_PAIRS_DOMINIC_PATHS(graph &G, node_array<point>& pos, 
			     node_matrix<double>& dist);

//==========================================================================
// Find the dominic routing path from all vertices of G to t
// Complexity: O(n)
//========================================================================
void DOMINIC_PATH(graph &G, node t, node_array<point> &pos, 
		  node_array<double> &dist, node_array<edge> &pred);

#endif __DOMINIC_H




