//==========================================================================
// File: rhr.c
// Description: An implementation of right hand routing
// Author: Pat Morin
// Created: Wed Jan 20 20:13:58 EST 1999
//==========================================================================
#ifndef __RHR_H
#define __RHR_H

#include <LEDA/graph.h>
#include <LEDA/point.h>
#include <LEDA/node_array.h>
#include <LEDA/node_matrix.h>

//==========================================================================
// Find the right hand routing path between all pairs of vertices in G.
// Complexity: O(n^3)
// Precondition: G is a convex subdivision
//========================================================================
void ALL_PAIRS_RIGHTHAND_PATHS(graph &G, node_array<point>& pos, 
			       node_matrix<double>& dist);

#endif __RHR_H



